[ previous ] [ next ] [ threads ]
 
 From:  Fred Wright <fw at well dot com>
 To:  M0n0wall <m0n0wall at lists dot m0n0 dot ch>
 Subject:  Re: [m0n0wall] Issue with post 1.0 version
 Date:  Tue, 20 Jul 2004 13:17:02 -0700 (PDT)
On Mon, 19 Jul 2004, Chet Harvey wrote:

> Ok in my previous email I was mistaken. I have been running version 1.1.b15 on 
> my soekris boxes without an issue and they upgraded to 1.1b16 just fine.
> 
> My problem lies with a via based board it has been running 1.0 like a champ. I 
> flashed a few CF cards yesterday and 1.1.b15 and 1.1.b16 dont work. Simply put 
> it boots fine, dmesg sees everything fine, no errors. I can config the 
> interfaces and assign IP's etc. When I plug it in though I can't reach the box 
> on any assigned interface. No response at all.....

Sounds like it might relate either to the image size or to the config
file.

The (uncompressed) CF image grew from 5MB to 6MB recently.  It's possible
that 1.0 is getting in trouble expanding it within the temporary RAM file
system it uses.  One would expect that to simply cause the upgrade to
fail, but perhaps it isn't noticing the error properly and is installing a
corrupted image.

If that's the problem, then you'd either need to do a two-stage upgrade
via an intermediate version that can be installed by 1.0 and can install
the new version, or else netboot the new code and "upgrade" it with
itself.  Or write the CF "ab initio" on another machine and reinstall the
config.

It's also possible the new version isn't liking something in the old
config file.  You might try backing up the config, resetting the new
install to factory defaults, and entering a minimal config to see if it
works.

This is something that ought to get sorted out before the next release
version, since it would be undesirable to have a 1.1 release that can't be
installed over a 1.0 release.

					Fred Wright